--
-- PostgreSQL database dump
--

-- Dumped from database version 9.4.1
-- Dumped by pg_dump version 9.4.1
-- Started on 2015-06-18 16:59:52

SET statement_timeout = 0;
SET lock_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 209 (class 3079 OID 11855)
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- TOC entry 2258 (class 0 OID 0)
-- Dependencies: 209
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 202 (class 1259 OID 24773)
-- Name: Actividad_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Actividad_Proyecto" (
    actividad integer NOT NULL,
    proyecto integer NOT NULL,
    codigo character varying(32) NOT NULL,
    fecha_inicio date NOT NULL,
    fecha_fin date NOT NULL,
    notas text
);


ALTER TABLE "Actividad_Proyecto" OWNER TO postgres;

--
-- TOC entry 188 (class 1259 OID 24576)
-- Name: Actividades; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Actividades" (
    id_actividad integer NOT NULL,
    descripcion text,
    nombre character varying(256)
);


ALTER TABLE "Actividades" OWNER TO postgres;

--
-- TOC entry 189 (class 1259 OID 24586)
-- Name: Actividades_id_actividad_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Actividades_id_actividad_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Actividades_id_actividad_seq" OWNER TO postgres;

--
-- TOC entry 2259 (class 0 OID 0)
-- Dependencies: 189
-- Name: Actividades_id_actividad_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Actividades_id_actividad_seq" OWNED BY "Actividades".id_actividad;


--
-- TOC entry 205 (class 1259 OID 24832)
-- Name: Cambio_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Cambio_Proyecto" (
    cambio integer NOT NULL,
    proyecto integer NOT NULL,
    codigo character varying(32) NOT NULL,
    fecha date NOT NULL,
    solicitante integer NOT NULL,
    aceptado boolean DEFAULT false NOT NULL,
    notas text
);


ALTER TABLE "Cambio_Proyecto" OWNER TO postgres;

--
-- TOC entry 204 (class 1259 OID 24823)
-- Name: Cambios; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Cambios" (
    id_cambio integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Cambios" OWNER TO postgres;

--
-- TOC entry 203 (class 1259 OID 24821)
-- Name: Cambios_id_cambio_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Cambios_id_cambio_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Cambios_id_cambio_seq" OWNER TO postgres;

--
-- TOC entry 2260 (class 0 OID 0)
-- Dependencies: 203
-- Name: Cambios_id_cambio_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Cambios_id_cambio_seq" OWNED BY "Cambios".id_cambio;


--
-- TOC entry 181 (class 1259 OID 16546)
-- Name: Documentos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Documentos" (
    id_documento integer NOT NULL,
    autor integer NOT NULL,
    nombre character varying(256) NOT NULL,
    version character varying(32),
    descripcion text,
    fecha_creacion date NOT NULL,
    archivo bytea,
    proyecto integer NOT NULL
);


ALTER TABLE "Documentos" OWNER TO postgres;

--
-- TOC entry 180 (class 1259 OID 16544)
-- Name: Documentos_id_documento_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Documentos_id_documento_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Documentos_id_documento_seq" OWNER TO postgres;

--
-- TOC entry 2261 (class 0 OID 0)
-- Dependencies: 180
-- Name: Documentos_id_documento_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Documentos_id_documento_seq" OWNED BY "Documentos".id_documento;


--
-- TOC entry 193 (class 1259 OID 24666)
-- Name: Entregable_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Entregable_Proyecto" (
    proyecto integer NOT NULL,
    entregable integer NOT NULL,
    codigo character varying(32) NOT NULL,
    notas text
);


ALTER TABLE "Entregable_Proyecto" OWNER TO postgres;

--
-- TOC entry 192 (class 1259 OID 24657)
-- Name: Entregables; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Entregables" (
    id_entregable integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text,
    archivo bytea
);


ALTER TABLE "Entregables" OWNER TO postgres;

--
-- TOC entry 191 (class 1259 OID 24655)
-- Name: Entregables_id_entregable_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Entregables_id_entregable_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Entregables_id_entregable_seq" OWNER TO postgres;

--
-- TOC entry 2262 (class 0 OID 0)
-- Dependencies: 191
-- Name: Entregables_id_entregable_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Entregables_id_entregable_seq" OWNED BY "Entregables".id_entregable;


--
-- TOC entry 184 (class 1259 OID 16572)
-- Name: Fase_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Fase_Proyecto" (
    id_proyecto integer NOT NULL,
    id_fase integer NOT NULL,
    fecha_evento date NOT NULL,
    notas text,
    codigo character varying(32) NOT NULL
);


ALTER TABLE "Fase_Proyecto" OWNER TO postgres;

--
-- TOC entry 183 (class 1259 OID 16563)
-- Name: Fases; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Fases" (
    id_fase integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Fases" OWNER TO postgres;

--
-- TOC entry 182 (class 1259 OID 16561)
-- Name: Fases_id_fase_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Fases_id_fase_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Fases_id_fase_seq" OWNER TO postgres;

--
-- TOC entry 2263 (class 0 OID 0)
-- Dependencies: 182
-- Name: Fases_id_fase_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Fases_id_fase_seq" OWNED BY "Fases".id_fase;


--
-- TOC entry 187 (class 1259 OID 16603)
-- Name: Hito_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Hito_Proyecto" (
    id_hito integer NOT NULL,
    id_proyecto integer NOT NULL,
    fecha date NOT NULL,
    codigo character varying(256) NOT NULL,
    notas text
);


ALTER TABLE "Hito_Proyecto" OWNER TO postgres;

--
-- TOC entry 186 (class 1259 OID 16589)
-- Name: Hitos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Hitos" (
    id_hito integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Hitos" OWNER TO postgres;

--
-- TOC entry 185 (class 1259 OID 16587)
-- Name: Hitos_id_hito_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Hitos_id_hito_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Hitos_id_hito_seq" OWNER TO postgres;

--
-- TOC entry 2264 (class 0 OID 0)
-- Dependencies: 185
-- Name: Hitos_id_hito_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Hitos_id_hito_seq" OWNED BY "Hitos".id_hito;


--
-- TOC entry 208 (class 1259 OID 24870)
-- Name: Incidencia_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Incidencia_Proyecto" (
    incidencia integer NOT NULL,
    proyecto integer NOT NULL,
    codigo character varying(32) NOT NULL,
    fecha_apertura date NOT NULL,
    fecha_cierre date,
    responsable integer,
    notas text
);


ALTER TABLE "Incidencia_Proyecto" OWNER TO postgres;

--
-- TOC entry 207 (class 1259 OID 24861)
-- Name: Incidencias; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Incidencias" (
    id_incidencia integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Incidencias" OWNER TO postgres;

--
-- TOC entry 206 (class 1259 OID 24859)
-- Name: Incidencias_id_incidencia_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Incidencias_id_incidencia_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Incidencias_id_incidencia_seq" OWNER TO postgres;

--
-- TOC entry 2265 (class 0 OID 0)
-- Dependencies: 206
-- Name: Incidencias_id_incidencia_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Incidencias_id_incidencia_seq" OWNED BY "Incidencias".id_incidencia;


--
-- TOC entry 175 (class 1259 OID 16465)
-- Name: Persona_Rol_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Persona_Rol_Proyecto" (
    id_persona integer NOT NULL,
    id_rol integer NOT NULL,
    id_proyecto integer NOT NULL,
    notas text
);


ALTER TABLE "Persona_Rol_Proyecto" OWNER TO postgres;

--
-- TOC entry 177 (class 1259 OID 16502)
-- Name: Personas; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Personas" (
    id_persona integer NOT NULL,
    nombre character varying(256),
    notas text
);


ALTER TABLE "Personas" OWNER TO postgres;

--
-- TOC entry 190 (class 1259 OID 24629)
-- Name: Personas_id_persona_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Personas_id_persona_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Personas_id_persona_seq" OWNER TO postgres;

--
-- TOC entry 2266 (class 0 OID 0)
-- Dependencies: 190
-- Name: Personas_id_persona_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Personas_id_persona_seq" OWNED BY "Personas".id_persona;


--
-- TOC entry 173 (class 1259 OID 16397)
-- Name: Portafolios; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Portafolios" (
    id_portafolio integer NOT NULL,
    nombre character varying(256) NOT NULL,
    manager integer NOT NULL,
    descripcion text
);


ALTER TABLE "Portafolios" OWNER TO postgres;

--
-- TOC entry 174 (class 1259 OID 16452)
-- Name: Portafolios_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Portafolios_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Portafolios_id_seq" OWNER TO postgres;

--
-- TOC entry 2267 (class 0 OID 0)
-- Dependencies: 174
-- Name: Portafolios_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Portafolios_id_seq" OWNED BY "Portafolios".id_portafolio;


--
-- TOC entry 172 (class 1259 OID 16394)
-- Name: Proyectos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Proyectos" (
    id_proyecto integer NOT NULL,
    nombre_proyecto character varying(256) NOT NULL,
    portafolio integer,
    descripcion text
);


ALTER TABLE "Proyectos" OWNER TO postgres;

--
-- TOC entry 176 (class 1259 OID 16479)
-- Name: Proyectos_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Proyectos_id_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Proyectos_id_seq" OWNER TO postgres;

--
-- TOC entry 2268 (class 0 OID 0)
-- Dependencies: 176
-- Name: Proyectos_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Proyectos_id_seq" OWNED BY "Proyectos".id_proyecto;


--
-- TOC entry 198 (class 1259 OID 24734)
-- Name: Recurso_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Recurso_Proyecto" (
    recurso integer NOT NULL,
    proyecto integer NOT NULL,
    fecha_asignacion date NOT NULL,
    fin_asignacion date NOT NULL,
    codigo character varying(32) NOT NULL,
    notas text
);


ALTER TABLE "Recurso_Proyecto" OWNER TO postgres;

--
-- TOC entry 197 (class 1259 OID 24719)
-- Name: Recursos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Recursos" (
    id_recurso integer NOT NULL,
    tipo_recurso integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Recursos" OWNER TO postgres;

--
-- TOC entry 196 (class 1259 OID 24717)
-- Name: Recursos_id_recurso_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Recursos_id_recurso_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Recursos_id_recurso_seq" OWNER TO postgres;

--
-- TOC entry 2269 (class 0 OID 0)
-- Dependencies: 196
-- Name: Recursos_id_recurso_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Recursos_id_recurso_seq" OWNED BY "Recursos".id_recurso;


--
-- TOC entry 201 (class 1259 OID 24765)
-- Name: Riesgo_Proyecto; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Riesgo_Proyecto" (
    riesgo integer NOT NULL,
    proyecto integer NOT NULL,
    codigo character varying(32) NOT NULL,
    notas text
);


ALTER TABLE "Riesgo_Proyecto" OWNER TO postgres;

--
-- TOC entry 200 (class 1259 OID 24756)
-- Name: Riesgos; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Riesgos" (
    id_riesgo integer NOT NULL,
    nombre character varying(256),
    descripcion text
);


ALTER TABLE "Riesgos" OWNER TO postgres;

--
-- TOC entry 199 (class 1259 OID 24754)
-- Name: Riesgos_id_riesgo_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Riesgos_id_riesgo_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Riesgos_id_riesgo_seq" OWNER TO postgres;

--
-- TOC entry 2270 (class 0 OID 0)
-- Dependencies: 199
-- Name: Riesgos_id_riesgo_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Riesgos_id_riesgo_seq" OWNED BY "Riesgos".id_riesgo;


--
-- TOC entry 179 (class 1259 OID 16520)
-- Name: Roles; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "Roles" (
    id_rol integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "Roles" OWNER TO postgres;

--
-- TOC entry 178 (class 1259 OID 16518)
-- Name: Roles_id_rol_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "Roles_id_rol_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "Roles_id_rol_seq" OWNER TO postgres;

--
-- TOC entry 2271 (class 0 OID 0)
-- Dependencies: 178
-- Name: Roles_id_rol_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "Roles_id_rol_seq" OWNED BY "Roles".id_rol;


--
-- TOC entry 195 (class 1259 OID 24708)
-- Name: TiposRecurso; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "TiposRecurso" (
    id_tipo_recurso integer NOT NULL,
    nombre character varying(256) NOT NULL,
    descripcion text
);


ALTER TABLE "TiposRecurso" OWNER TO postgres;

--
-- TOC entry 194 (class 1259 OID 24706)
-- Name: TiposRecurso_id_tipo_recurso_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE "TiposRecurso_id_tipo_recurso_seq"
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE "TiposRecurso_id_tipo_recurso_seq" OWNER TO postgres;

--
-- TOC entry 2272 (class 0 OID 0)
-- Dependencies: 194
-- Name: TiposRecurso_id_tipo_recurso_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE "TiposRecurso_id_tipo_recurso_seq" OWNED BY "TiposRecurso".id_tipo_recurso;


--
-- TOC entry 2025 (class 2604 OID 24588)
-- Name: id_actividad; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Actividades" ALTER COLUMN id_actividad SET DEFAULT nextval('"Actividades_id_actividad_seq"'::regclass);


--
-- TOC entry 2030 (class 2604 OID 24826)
-- Name: id_cambio; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Cambios" ALTER COLUMN id_cambio SET DEFAULT nextval('"Cambios_id_cambio_seq"'::regclass);


--
-- TOC entry 2022 (class 2604 OID 16549)
-- Name: id_documento; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Documentos" ALTER COLUMN id_documento SET DEFAULT nextval('"Documentos_id_documento_seq"'::regclass);


--
-- TOC entry 2026 (class 2604 OID 24660)
-- Name: id_entregable; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Entregables" ALTER COLUMN id_entregable SET DEFAULT nextval('"Entregables_id_entregable_seq"'::regclass);


--
-- TOC entry 2023 (class 2604 OID 16566)
-- Name: id_fase; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Fases" ALTER COLUMN id_fase SET DEFAULT nextval('"Fases_id_fase_seq"'::regclass);


--
-- TOC entry 2024 (class 2604 OID 16592)
-- Name: id_hito; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Hitos" ALTER COLUMN id_hito SET DEFAULT nextval('"Hitos_id_hito_seq"'::regclass);


--
-- TOC entry 2032 (class 2604 OID 24864)
-- Name: id_incidencia; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Incidencias" ALTER COLUMN id_incidencia SET DEFAULT nextval('"Incidencias_id_incidencia_seq"'::regclass);


--
-- TOC entry 2020 (class 2604 OID 24631)
-- Name: id_persona; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Personas" ALTER COLUMN id_persona SET DEFAULT nextval('"Personas_id_persona_seq"'::regclass);


--
-- TOC entry 2019 (class 2604 OID 16454)
-- Name: id_portafolio; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Portafolios" ALTER COLUMN id_portafolio SET DEFAULT nextval('"Portafolios_id_seq"'::regclass);


--
-- TOC entry 2018 (class 2604 OID 16481)
-- Name: id_proyecto; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Proyectos" ALTER COLUMN id_proyecto SET DEFAULT nextval('"Proyectos_id_seq"'::regclass);


--
-- TOC entry 2028 (class 2604 OID 24722)
-- Name: id_recurso; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Recursos" ALTER COLUMN id_recurso SET DEFAULT nextval('"Recursos_id_recurso_seq"'::regclass);


--
-- TOC entry 2029 (class 2604 OID 24759)
-- Name: id_riesgo; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Riesgos" ALTER COLUMN id_riesgo SET DEFAULT nextval('"Riesgos_id_riesgo_seq"'::regclass);


--
-- TOC entry 2021 (class 2604 OID 16523)
-- Name: id_rol; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Roles" ALTER COLUMN id_rol SET DEFAULT nextval('"Roles_id_rol_seq"'::regclass);


--
-- TOC entry 2027 (class 2604 OID 24711)
-- Name: id_tipo_recurso; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "TiposRecurso" ALTER COLUMN id_tipo_recurso SET DEFAULT nextval('"TiposRecurso_id_tipo_recurso_seq"'::regclass);


--
-- TOC entry 2244 (class 0 OID 24773)
-- Dependencies: 202
-- Data for Name: Actividad_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Actividad_Proyecto" (actividad, proyecto, codigo, fecha_inicio, fecha_fin, notas) FROM stdin;
1	1	ACT-01	2015-02-26	2015-03-18	Redaccion del Plan de Trabajo
1	1	ACT-03	2015-04-23	2015-05-21	Redaccion de la PAC3
1	1	ACT-02	2015-03-19	2015-04-22	Redaccion de la PAC2
2	1	ACT-04a	2015-04-23	2015-04-23	Preparacion del entorno de trabajo (BD)
2	1	ACT-04b	2015-04-24	2015-04-24	Preparacion del entorno de trabajo (Aplicacion Web)
3	1	ACT-05	2015-04-29	2015-05-05	Elaboración de la BD
4	1	ACT-06	2015-05-05	2015-05-07	Introducción datos en la BD
3	1	ACT-07	2015-05-08	2015-05-27	Elaboración de la Web
3	1	ACT-08	2015-05-28	2015-05-30	Elaboración de la presentación audiovisual
1	1	ACT-09	2015-05-22	2015-06-18	Redacción de la memoria final del TFC
\.


--
-- TOC entry 2230 (class 0 OID 24576)
-- Dependencies: 188
-- Data for Name: Actividades; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Actividades" (id_actividad, descripcion, nombre) FROM stdin;
1	Actividad relacionada con la redaccion de material	Redaccion
2	Actividad que implica la instalacion y configuracion de un software	Instalacion Software
3	Actividad que requiere la elaboracion de algo partiendo de un trabajo previo	Elaboracion
4	Actividad que requiere generar nueva informacion siguendo unas pautas establecidas	Generacion de Datos
\.


--
-- TOC entry 2273 (class 0 OID 0)
-- Dependencies: 189
-- Name: Actividades_id_actividad_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Actividades_id_actividad_seq"', 4, true);


--
-- TOC entry 2247 (class 0 OID 24832)
-- Dependencies: 205
-- Data for Name: Cambio_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Cambio_Proyecto" (cambio, proyecto, codigo, fecha, solicitante, aceptado, notas) FROM stdin;
1	1	CMB-01	2015-05-05	1	t	La PAC3 no viene entregada
2	1	CMB-02	2015-06-17	1	t	La estructura del DB y los datos vienen generados en un sólo archivo
\.


--
-- TOC entry 2246 (class 0 OID 24823)
-- Dependencies: 204
-- Data for Name: Cambios; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Cambios" (id_cambio, nombre, descripcion) FROM stdin;
1	Cancelación de entregable	Un entregable no viene realizado
2	Modificación de entregable	Un entregable varía
\.


--
-- TOC entry 2274 (class 0 OID 0)
-- Dependencies: 203
-- Name: Cambios_id_cambio_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Cambios_id_cambio_seq"', 2, true);


--
-- TOC entry 2223 (class 0 OID 16546)
-- Dependencies: 181
-- Data for Name: Documentos; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Documentos" (id_documento, autor, nombre, version, descripcion, fecha_creacion, archivo, proyecto) FROM stdin;
\.


--
-- TOC entry 2275 (class 0 OID 0)
-- Dependencies: 180
-- Name: Documentos_id_documento_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Documentos_id_documento_seq"', 1, false);


--
-- TOC entry 2235 (class 0 OID 24666)
-- Dependencies: 193
-- Data for Name: Entregable_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Entregable_Proyecto" (proyecto, entregable, codigo, notas) FROM stdin;
1	1	ENT-02	PAC2.pdf
1	1	ENT-01	PAC1.pdf
1	1	ENT-03	PAC3.pdf
1	1	ENT-04	TFC.pdf
1	4	ENT-05	BD.sql
1	4	ENT-06	Ejemplos.sql
1	4	ENT-07	Web.zip
1	2	ENT-08	Presentacion.ppt
1	2	ENT-09	Presentacion.avi
\.


--
-- TOC entry 2234 (class 0 OID 24657)
-- Dependencies: 192
-- Data for Name: Entregables; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Entregables" (id_entregable, nombre, descripcion, archivo) FROM stdin;
1	Documento	\N	\N
2	video	\N	\N
3	presentacion	\N	\N
4	codigo	\N	\N
\.


--
-- TOC entry 2276 (class 0 OID 0)
-- Dependencies: 191
-- Name: Entregables_id_entregable_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Entregables_id_entregable_seq"', 4, true);


--
-- TOC entry 2226 (class 0 OID 16572)
-- Dependencies: 184
-- Data for Name: Fase_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Fase_Proyecto" (id_proyecto, id_fase, fecha_evento, notas, codigo) FROM stdin;
1	1	2015-02-26	\N	PAC1
1	4	2015-06-19	\N	Entrega final
1	2	2015-03-19	\N	PAC2
1	3	2015-04-23	\N	PAC3
2	2	2015-02-02	\N	Plan
2	1	2015-01-01	\N	Inicio
2	6	2015-03-03	\N	Cancelado
\.


--
-- TOC entry 2225 (class 0 OID 16563)
-- Dependencies: 183
-- Data for Name: Fases; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Fases" (id_fase, nombre, descripcion) FROM stdin;
1	Iniciacion	\N
2	Planificacion	\N
3	Ejecucion y control	\N
4	Cierre	\N
5	Terminado con exito	\N
6	Cancelado o fracasado	\N
\.


--
-- TOC entry 2277 (class 0 OID 0)
-- Dependencies: 182
-- Name: Fases_id_fase_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Fases_id_fase_seq"', 6, true);


--
-- TOC entry 2229 (class 0 OID 16603)
-- Dependencies: 187
-- Data for Name: Hito_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Hito_Proyecto" (id_hito, id_proyecto, fecha, codigo, notas) FROM stdin;
1	1	2015-06-18	HIT-11	TFC entregado
2	1	2015-06-12	HIT-10	Documentación final lista
2	1	2015-05-21	HIT-08	PAC3 terminada
2	1	2015-04-22	HIT-02	Pac2 entregada
2	1	2015-03-18	HIT-01	Pac1 Entregada
3	1	2015-04-24	HIT-03	Entorno listo
3	1	2015-04-28	HIT-04	Análisis previo terminado
3	1	2015-05-05	HIT-05	Base de Datos operativa
3	1	2015-05-07	HIT-06	Datos introducidos
3	1	2015-05-27	HIT-07	Web operativa
2	1	2015-06-02	HIT-09	Presentación lista
1	2	2015-01-01	millestone01	Iniciar
1	3	2014-01-01	ms33	Documento inicial
\.


--
-- TOC entry 2228 (class 0 OID 16589)
-- Dependencies: 186
-- Data for Name: Hitos; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Hitos" (id_hito, nombre, descripcion) FROM stdin;
1	Final de Fase	Cierre de una fase del proyecto
2	Entregable terminado	Entregable terminado
3	Actividad finalizada	Actividad terminada
\.


--
-- TOC entry 2278 (class 0 OID 0)
-- Dependencies: 185
-- Name: Hitos_id_hito_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Hitos_id_hito_seq"', 3, true);


--
-- TOC entry 2250 (class 0 OID 24870)
-- Dependencies: 208
-- Data for Name: Incidencia_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Incidencia_Proyecto" (incidencia, proyecto, codigo, fecha_apertura, fecha_cierre, responsable, notas) FROM stdin;
1	1	INC-01	2015-04-22	2015-05-05	1	Parada total del proyecto
\.


--
-- TOC entry 2249 (class 0 OID 24861)
-- Dependencies: 207
-- Data for Name: Incidencias; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Incidencias" (id_incidencia, nombre, descripcion) FROM stdin;
1	Retraso	\N
\.


--
-- TOC entry 2279 (class 0 OID 0)
-- Dependencies: 206
-- Name: Incidencias_id_incidencia_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Incidencias_id_incidencia_seq"', 1, true);


--
-- TOC entry 2217 (class 0 OID 16465)
-- Dependencies: 175
-- Data for Name: Persona_Rol_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Persona_Rol_Proyecto" (id_persona, id_rol, id_proyecto, notas) FROM stdin;
1	1	1	Autor del proyecto
1	3	1	Trabajador principal
1	2	2	Interesado
6	4	1	Consultora de la asignatura
3	3	2	Responsable
5	1	2	PM
\.


--
-- TOC entry 2219 (class 0 OID 16502)
-- Dependencies: 177
-- Data for Name: Personas; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Personas" (id_persona, nombre, notas) FROM stdin;
1	Julio Fortis Urbano	Ingeniero Tecnico Informatico
2	Juan Perez	Portafolio Manager de prueba
4	Antonio Garcia	Inversor externo de prueba
3	Jose Lopez	Tecnico de prueba
5	Maria Fernandez	Jefa de calidad
6	Ana Cristina Domingo Troncho	Consultora
\.


--
-- TOC entry 2280 (class 0 OID 0)
-- Dependencies: 190
-- Name: Personas_id_persona_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Personas_id_persona_seq"', 6, true);


--
-- TOC entry 2215 (class 0 OID 16397)
-- Dependencies: 173
-- Data for Name: Portafolios; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Portafolios" (id_portafolio, nombre, manager, descripcion) FROM stdin;
1	Portafolio de demostracion	2	Ejemplo de Portafolio conteniendo los proyectos de demostracion
\.


--
-- TOC entry 2281 (class 0 OID 0)
-- Dependencies: 174
-- Name: Portafolios_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Portafolios_id_seq"', 3, true);


--
-- TOC entry 2214 (class 0 OID 16394)
-- Dependencies: 172
-- Data for Name: Proyectos; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Proyectos" (id_proyecto, nombre_proyecto, portafolio, descripcion) FROM stdin;
1	TFC	\N	Proyecto para el TFC del area de gestion de proyectos
2	Proyecto demostrativo	1	Proyecto realizado con la finalidad de demostrar la funcionalidad de la BD
3	Proyecto de Prueba	1	Otro proyecto de prueba
\.


--
-- TOC entry 2282 (class 0 OID 0)
-- Dependencies: 176
-- Name: Proyectos_id_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Proyectos_id_seq"', 1, true);


--
-- TOC entry 2240 (class 0 OID 24734)
-- Dependencies: 198
-- Data for Name: Recurso_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Recurso_Proyecto" (recurso, proyecto, fecha_asignacion, fin_asignacion, codigo, notas) FROM stdin;
1	2	2015-02-02	2015-08-07	REC-01	Portatil
1	3	2014-01-01	2014-12-31	ref0101b	Portatil
\.


--
-- TOC entry 2239 (class 0 OID 24719)
-- Dependencies: 197
-- Data for Name: Recursos; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Recursos" (id_recurso, tipo_recurso, nombre, descripcion) FROM stdin;
1	1	Equipos informáticos	\N
\.


--
-- TOC entry 2283 (class 0 OID 0)
-- Dependencies: 196
-- Name: Recursos_id_recurso_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Recursos_id_recurso_seq"', 1, false);


--
-- TOC entry 2243 (class 0 OID 24765)
-- Dependencies: 201
-- Data for Name: Riesgo_Proyecto; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Riesgo_Proyecto" (riesgo, proyecto, codigo, notas) FROM stdin;
1	1	RSG-01	Puede producir una excesiva carga de trabajo en las EDT de desarrollo que puede llevar a que no se cumplan los calendarios de entrega (ver RSG-02). Categorías: CAT-01, CAT-03
2	1	RSG-02	Si se produce durante la fase de ejecución, podrá responderse correctamente. Si se produce en la entrega final significará el fracaso total del proyecto. Categorías: CAT-02, CAT-04
3	1	RSG-03	Pueden influir negativamente sobre la calidad percibida y aumentar los tiempos de test en las EDT de desarrollo. Categorías: CAT-02, CAT-03
4	1	RSG-04	Puede provocar a su vez RSG-01 y RSG-02, si se producen durante las EDT de desarrollo o documentación. Categorías: CAT-02, CAT-03
5	1	OPR-01	Esta oportunidad es el equivalente positivo al riesgo RSG-02, en el que el tiempo programado será excesivo para la realización de la tarea. Categorías: CAT-02, CAT-04
1	2	RSG-01	Carga
1	3	riesgo77	Exceso de carga
\.


--
-- TOC entry 2242 (class 0 OID 24756)
-- Dependencies: 200
-- Data for Name: Riesgos; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Riesgos" (id_riesgo, nombre, descripcion) FROM stdin;
1	Requisitos Excesivos	\N
2	No se cumplen los calendarios	\N
3	Errores en los productos	\N
4	Cambios de requisitos	\N
5	Menor duración de las tareas	\N
\.


--
-- TOC entry 2284 (class 0 OID 0)
-- Dependencies: 199
-- Name: Riesgos_id_riesgo_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Riesgos_id_riesgo_seq"', 5, true);


--
-- TOC entry 2221 (class 0 OID 16520)
-- Dependencies: 179
-- Data for Name: Roles; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "Roles" (id_rol, nombre, descripcion) FROM stdin;
1	Project Manager	Director del proyecto
2	Stakeholder	Interesado en el proyecto
3	Trabajador	Trabajando en el proyecto
4	Otros	Otras funciones
\.


--
-- TOC entry 2285 (class 0 OID 0)
-- Dependencies: 178
-- Name: Roles_id_rol_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"Roles_id_rol_seq"', 3, true);


--
-- TOC entry 2237 (class 0 OID 24708)
-- Dependencies: 195
-- Data for Name: TiposRecurso; Type: TABLE DATA; Schema: public; Owner: postgres
--

COPY "TiposRecurso" (id_tipo_recurso, nombre, descripcion) FROM stdin;
1	Materiales	\N
2	Know-how	\N
\.


--
-- TOC entry 2286 (class 0 OID 0)
-- Dependencies: 194
-- Name: TiposRecurso_id_tipo_recurso_seq; Type: SEQUENCE SET; Schema: public; Owner: postgres
--

SELECT pg_catalog.setval('"TiposRecurso_id_tipo_recurso_seq"', 2, true);


--
-- TOC entry 2070 (class 2606 OID 32769)
-- Name: Actividad_Proyecto_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Actividad_Proyecto"
    ADD CONSTRAINT "Actividad_Proyecto_pkey" PRIMARY KEY (codigo, proyecto);


--
-- TOC entry 2038 (class 2606 OID 16512)
-- Name: PK_PersonaRolProyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Persona_Rol_Proyecto"
    ADD CONSTRAINT "PK_PersonaRolProyecto" PRIMARY KEY (id_persona, id_rol, id_proyecto);


--
-- TOC entry 2036 (class 2606 OID 16462)
-- Name: PK_Portafolio; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Portafolios"
    ADD CONSTRAINT "PK_Portafolio" PRIMARY KEY (id_portafolio);


--
-- TOC entry 2034 (class 2606 OID 16489)
-- Name: PK_Proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Proyectos"
    ADD CONSTRAINT "PK_Proyecto" PRIMARY KEY (id_proyecto);


--
-- TOC entry 2054 (class 2606 OID 24603)
-- Name: PK_actividades; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Actividades"
    ADD CONSTRAINT "PK_actividades" PRIMARY KEY (id_actividad);


--
-- TOC entry 2074 (class 2606 OID 32771)
-- Name: PK_cambio_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Cambio_Proyecto"
    ADD CONSTRAINT "PK_cambio_proyecto" PRIMARY KEY (proyecto, codigo);


--
-- TOC entry 2072 (class 2606 OID 24831)
-- Name: PK_cambios; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Cambios"
    ADD CONSTRAINT "PK_cambios" PRIMARY KEY (id_cambio);


--
-- TOC entry 2044 (class 2606 OID 16554)
-- Name: PK_documentos; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Documentos"
    ADD CONSTRAINT "PK_documentos" PRIMARY KEY (id_documento);


--
-- TOC entry 2056 (class 2606 OID 24665)
-- Name: PK_entregable; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Entregables"
    ADD CONSTRAINT "PK_entregable" PRIMARY KEY (id_entregable);


--
-- TOC entry 2058 (class 2606 OID 32773)
-- Name: PK_entregable_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Entregable_Proyecto"
    ADD CONSTRAINT "PK_entregable_proyecto" PRIMARY KEY (proyecto, codigo);


--
-- TOC entry 2046 (class 2606 OID 16571)
-- Name: PK_fase; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Fases"
    ADD CONSTRAINT "PK_fase" PRIMARY KEY (id_fase);


--
-- TOC entry 2048 (class 2606 OID 32775)
-- Name: PK_fase_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Fase_Proyecto"
    ADD CONSTRAINT "PK_fase_proyecto" PRIMARY KEY (id_proyecto, codigo);


--
-- TOC entry 2050 (class 2606 OID 16597)
-- Name: PK_hito; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Hitos"
    ADD CONSTRAINT "PK_hito" PRIMARY KEY (id_hito);


--
-- TOC entry 2052 (class 2606 OID 32777)
-- Name: PK_hito_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Hito_Proyecto"
    ADD CONSTRAINT "PK_hito_proyecto" PRIMARY KEY (id_proyecto, codigo);


--
-- TOC entry 2076 (class 2606 OID 24869)
-- Name: PK_incidencia; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Incidencias"
    ADD CONSTRAINT "PK_incidencia" PRIMARY KEY (id_incidencia);


--
-- TOC entry 2078 (class 2606 OID 32779)
-- Name: PK_inicidencia_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Incidencia_Proyecto"
    ADD CONSTRAINT "PK_inicidencia_proyecto" PRIMARY KEY (proyecto, codigo);


--
-- TOC entry 2040 (class 2606 OID 24636)
-- Name: PK_persona; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Personas"
    ADD CONSTRAINT "PK_persona" PRIMARY KEY (id_persona);


--
-- TOC entry 2064 (class 2606 OID 24738)
-- Name: PK_recurso_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Recurso_Proyecto"
    ADD CONSTRAINT "PK_recurso_proyecto" PRIMARY KEY (recurso, proyecto, fecha_asignacion);


--
-- TOC entry 2062 (class 2606 OID 24727)
-- Name: PK_recursos; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Recursos"
    ADD CONSTRAINT "PK_recursos" PRIMARY KEY (id_recurso);


--
-- TOC entry 2066 (class 2606 OID 24764)
-- Name: PK_riesgo; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Riesgos"
    ADD CONSTRAINT "PK_riesgo" PRIMARY KEY (id_riesgo);


--
-- TOC entry 2068 (class 2606 OID 32781)
-- Name: PK_riesgo_proyecto; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Riesgo_Proyecto"
    ADD CONSTRAINT "PK_riesgo_proyecto" PRIMARY KEY (proyecto, codigo);


--
-- TOC entry 2042 (class 2606 OID 16528)
-- Name: PK_rol; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "Roles"
    ADD CONSTRAINT "PK_rol" PRIMARY KEY (id_rol);


--
-- TOC entry 2060 (class 2606 OID 24716)
-- Name: PK_tipos_recurso; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY "TiposRecurso"
    ADD CONSTRAINT "PK_tipos_recurso" PRIMARY KEY (id_tipo_recurso);


--
-- TOC entry 2079 (class 2606 OID 16490)
-- Name: FK_Portafolio; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Proyectos"
    ADD CONSTRAINT "FK_Portafolio" FOREIGN KEY (portafolio) REFERENCES "Portafolios"(id_portafolio);


--
-- TOC entry 2098 (class 2606 OID 24786)
-- Name: FK_actividad; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Actividad_Proyecto"
    ADD CONSTRAINT "FK_actividad" FOREIGN KEY (actividad) REFERENCES "Actividades"(id_actividad);


--
-- TOC entry 2101 (class 2606 OID 24854)
-- Name: FK_cambio; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Cambio_Proyecto"
    ADD CONSTRAINT "FK_cambio" FOREIGN KEY (cambio) REFERENCES "Cambios"(id_cambio);


--
-- TOC entry 2091 (class 2606 OID 24796)
-- Name: FK_entregable; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Entregable_Proyecto"
    ADD CONSTRAINT "FK_entregable" FOREIGN KEY (entregable) REFERENCES "Entregables"(id_entregable);


--
-- TOC entry 2087 (class 2606 OID 16582)
-- Name: FK_fase; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Fase_Proyecto"
    ADD CONSTRAINT "FK_fase" FOREIGN KEY (id_fase) REFERENCES "Fases"(id_fase);


--
-- TOC entry 2088 (class 2606 OID 16611)
-- Name: FK_hito; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Hito_Proyecto"
    ADD CONSTRAINT "FK_hito" FOREIGN KEY (id_hito) REFERENCES "Hitos"(id_hito);


--
-- TOC entry 2103 (class 2606 OID 24883)
-- Name: FK_incidencia; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Incidencia_Proyecto"
    ADD CONSTRAINT "FK_incidencia" FOREIGN KEY (incidencia) REFERENCES "Incidencias"(id_incidencia);


--
-- TOC entry 2085 (class 2606 OID 24637)
-- Name: FK_persona; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Documentos"
    ADD CONSTRAINT "FK_persona" FOREIGN KEY (autor) REFERENCES "Personas"(id_persona);


--
-- TOC entry 2080 (class 2606 OID 24642)
-- Name: FK_persona; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Portafolios"
    ADD CONSTRAINT "FK_persona" FOREIGN KEY (manager) REFERENCES "Personas"(id_persona);


--
-- TOC entry 2083 (class 2606 OID 24674)
-- Name: FK_persona; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Persona_Rol_Proyecto"
    ADD CONSTRAINT "FK_persona" FOREIGN KEY (id_persona) REFERENCES "Personas"(id_persona);


--
-- TOC entry 2082 (class 2606 OID 16539)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Persona_Rol_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (id_proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2086 (class 2606 OID 16577)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Fase_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (id_proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2089 (class 2606 OID 16616)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Hito_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (id_proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2084 (class 2606 OID 24616)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Documentos"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2097 (class 2606 OID 24781)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Actividad_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2090 (class 2606 OID 24791)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Entregable_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2094 (class 2606 OID 24806)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Recurso_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2096 (class 2606 OID 24816)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Riesgo_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2100 (class 2606 OID 24849)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Cambio_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2102 (class 2606 OID 24878)
-- Name: FK_proyecto; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Incidencia_Proyecto"
    ADD CONSTRAINT "FK_proyecto" FOREIGN KEY (proyecto) REFERENCES "Proyectos"(id_proyecto);


--
-- TOC entry 2093 (class 2606 OID 24801)
-- Name: FK_recurso; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Recurso_Proyecto"
    ADD CONSTRAINT "FK_recurso" FOREIGN KEY (recurso) REFERENCES "Recursos"(id_recurso);


--
-- TOC entry 2104 (class 2606 OID 24888)
-- Name: FK_responsable; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Incidencia_Proyecto"
    ADD CONSTRAINT "FK_responsable" FOREIGN KEY (responsable) REFERENCES "Personas"(id_persona);


--
-- TOC entry 2095 (class 2606 OID 24811)
-- Name: FK_riesgo; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Riesgo_Proyecto"
    ADD CONSTRAINT "FK_riesgo" FOREIGN KEY (riesgo) REFERENCES "Riesgos"(id_riesgo);


--
-- TOC entry 2081 (class 2606 OID 16534)
-- Name: FK_rol; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Persona_Rol_Proyecto"
    ADD CONSTRAINT "FK_rol" FOREIGN KEY (id_rol) REFERENCES "Roles"(id_rol);


--
-- TOC entry 2099 (class 2606 OID 24844)
-- Name: FK_solicitante; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Cambio_Proyecto"
    ADD CONSTRAINT "FK_solicitante" FOREIGN KEY (solicitante) REFERENCES "Personas"(id_persona);


--
-- TOC entry 2092 (class 2606 OID 24728)
-- Name: FK_tipo_recurso; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY "Recursos"
    ADD CONSTRAINT "FK_tipo_recurso" FOREIGN KEY (tipo_recurso) REFERENCES "TiposRecurso"(id_tipo_recurso);


--
-- TOC entry 2257 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2015-06-18 16:59:53

--
-- PostgreSQL database dump complete
--

