<?php

	//Iniciamos una sesión e incluimos la clase que gestiona la relación con la BD
	session_start();
	require("inc_bd.php");

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head profile="http://gmpg.org/xfn/11">
		<?php require("inc_cabecera.php"); ?>
	</head>
	<body>
	<?php
	
		//creamos una conexión al BD
		$bd = new CBD;

		//Si hemos especificado un proyecto concreto
		if (isset($_GET['proyecto']))
		{
			//Recuperamos los datos del proyecto y los mostramos
			$sql = "SELECT nombre_proyecto, portafolio, descripcion FROM \"Proyectos\" WHERE id_proyecto=" . $_GET['proyecto'];

			echo "<h2>Datos Generales</h2>";
			if($resultado = $bd->consultar($sql))
			{
				while($fila = $bd->avanzar($resultado))
				{
					$portafolio = $fila[1];
					echo "<p>";
					echo "<strong>Nombre del Proyecto:</strong> " . $fila[0] . "<br />";
					echo "<strong>Descripcion:</strong> " . $fila[2] . "<br />";
					echo "</p>";
				}
				$bd->liberar($resultado);
			}

			//Si el proyecto pertenece a un portafolio, mostramos los datos de este
			if($portafolio != NULL)
			{
				$sql = "SELECT pt.nombre, pr.nombre FROM \"Portafolios\" pt, \"Personas\" pr WHERE pr.id_persona=pt.manager AND pt.id_portafolio=" . $portafolio;
				if($resultado = $bd->consultar($sql))
				{
					while($fila = $bd->avanzar($resultado))
					{
						echo "<p>";
						echo "<strong>Portafolio:</strong> " . $fila[0] . "<br />";
						echo "<strong>Portfolio Manager:</strong> " . $fila[1] . "<br />";
						echo "</p>";
					}
					$bd->liberar($resultado);
				
					//Buscamos otros proyectos del mismo portafolio
					$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p WHERE p.id_proyecto != " . $_GET['proyecto'] . " AND p.portafolio=" . $portafolio;
					if($resultado = $bd->consultar($sql))
					{
						echo "<p>Otros proyectos del mismo portafolio: ";
						while($fila = $bd->avanzar($resultado))
						{
							echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
						}
						$bd->liberar($resultado);
						echo "</p>";
					}
				}
			}
		
			//Buscamos y recuperamos las fases del proyecto
			$sql = "SELECT f.nombre, f.descripcion, fp.codigo, fp.fecha_evento, fp.notas FROM \"Fase_Proyecto\" fp, \"Fases\" f WHERE f.id_fase = fp.id_fase AND fp.id_proyecto=" . $_GET['proyecto'];

			echo "<h2>Fases</h2>";
			if($resultado = $bd->consultar($sql))
			{
				echo "<table><tr><th>Fase</th><th>Descripcion</th><th>Codigo</th><th>Fecha del Evento</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "</tr>";
				}
				$bd->liberar($resultado);
				echo "</table>";
			}
			
			//Buscamos y mostramos los hitos del proyecto
			$sql = "SELECT h.nombre, h.descripcion, hp.codigo, hp.fecha, hp.notas, h.id_hito FROM \"Hito_Proyecto\" hp, \"Hitos\" h WHERE h.id_hito = hp.id_hito AND hp.id_proyecto=" . $_GET['proyecto'];

			echo "<h2>Hitos</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$hito = "(";
				echo "<table><tr><th>Nombre</th><th>Descripcion</th><th>Codigo</th><th>Fecha</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "</tr>";
					$hito .= $fila[5] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$hito .= "0)";
			
				//Buscamos otros proyectos con hitos similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Hito_Proyecto\" hp WHERE p.id_proyecto = hp.id_proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND hp.id_hito IN " . $hito;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con hitos similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}			

			//Recuperamos y mostramos las actividades del proyecto
			$sql = "SELECT a.nombre, a.descripcion, ap.codigo, ap.fecha_inicio, ap.fecha_fin, ap.notas, ap.actividad FROM \"Actividad_Proyecto\" ap, \"Actividades\" a WHERE a.id_actividad = ap.actividad AND ap.proyecto=" . $_GET['proyecto'];

			echo "<h2>Actividades</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$actividad = "(";
				echo "<table><tr><th>Nombre</th><th>Descripcion</th><th>Codigo</th><th>Fecha de Inicio</th><th>Fecha de Fin</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "<td>" . $fila[5] . "</td>";
					echo "</tr>";
					$actividad .= $fila[6] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$actividad .= "0)";

				//Buscamos otros proyectos con actividades similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Actividad_Proyecto\" ap WHERE p.id_proyecto = ap.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND ap.actividad IN " . $actividad;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con actividades similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}
			
			//Recuperamos y mostramos los entregables del proyecto
			$sql = "SELECT e.nombre, e.descripcion, ep.codigo, ep.notas, e.archivo, ep.entregable FROM \"Entregable_Proyecto\" ep, \"Entregables\" e WHERE e.id_entregable = ep.entregable AND ep.proyecto=" . $_GET['proyecto'];

			echo "<h2>Entregables</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$entregable = "(";
				echo "<table><tr><th>Entregable</th><th>Descripcion</th><th>Codigo</th><th>Notas</th><th>Archivo</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "</tr>";
					$actividad .= $fila[5] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$entregable .= "0)";
			
				//Buscamos otros proyectos con entregables similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Entregable_Proyecto\" ep WHERE p.id_proyecto = ep.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND ep.entregable IN " . $entregable;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con entregables similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}

			//Cargamos y mostramos los documentos asociados al proyecto
			$sql = "SELECT d.nombre, d.version, d.descripcion, d.fecha_creacion, p.nombre, d.archivo FROM \"Documentos\" d, \"Personas\" p WHERE d.autor = p.id_persona AND d.proyecto=" . $_GET['proyecto'];

			echo "<h2>Documentos</h2>";
			if($resultado = $bd->consultar($sql))
			{
				echo "<table><tr><th>Documento</th><th>Version</th><th>Descripcion</th><th>Fecha de Creacion</th><th>Autor</th><th>Archivo</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "<td>" . $fila[5] . "</td>";
					echo "</tr>";
				}
				$bd->liberar($resultado);
				echo "</table>";
			}
			
			//Recuperamos y mostramos los riesgos del proyecto
			$sql = "SELECT r.nombre, r.descripcion, rp.codigo, rp.notas, rp.riesgo FROM \"Riesgo_Proyecto\" rp, \"Riesgos\" r WHERE r.id_riesgo = rp.riesgo AND rp.proyecto=" . $_GET['proyecto'];

			echo "<h2>Riesgos</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$riesgo = "(";
				echo "<table><tr><th>Riesgo</th><th>Descripcion</th><th>Codigo</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "</tr>";
					$riesgo .= $fila[4] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$riesgo .= "0)";
			
				//Buscamos otros proyectos con riesgos similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Riesgo_Proyecto\" rp WHERE p.id_proyecto = rp.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND rp.riesgo IN " . $riesgo;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con riesgos similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}
			
			//Recuperamos y mostramos los cambios del proyecto
			$sql = "SELECT c.nombre, c.descripcion, cp.codigo, cp.fecha, p.nombre, cp.aceptado, cp.notas, cp.cambio FROM \"Cambio_Proyecto\" cp, \"Cambios\" c, \"Personas\" p WHERE c.id_cambio = cp.cambio AND cp.solicitante = p.id_persona AND cp.proyecto=" . $_GET['proyecto'];

			echo "<h2>Cambios</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$cambio = "(";
				echo "<table><tr><th>Cambio</th><th>Descripcion</th><th>Codigo</th><th>Fecha</th><th>Solicitante</th><th>Estado</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "<td>" . $fila[5] . "</td>";
					echo "<td>" . $fila[6] . "</td>";
					echo "</tr>";
					$cambio .= $fila[7] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$cambio .= "0)";

				//Buscamos otros proyectos con cambios similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Cambio_Proyecto\" cp WHERE p.id_proyecto = cp.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND cp.cambio IN " . $cambio;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con cambios similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}
			
			//Recuperamos las incidencias del proyecto
			$sql = "SELECT i.nombre, i.descripcion, ip.codigo, ip.fecha_apertura, ip.fecha_cierre, p.nombre, ip.notas, ip.incidencia FROM \"Incidencia_Proyecto\" ip, \"Incidencias\" i, \"Personas\" p WHERE i.id_incidencia = ip.incidencia AND ip.responsable = p.id_persona AND ip.proyecto=" . $_GET['proyecto'];

			echo "<h2>Incidencias</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$incidencia = "(";
				echo "<table><tr><th>Incidencia</th><th>Descripcion</th><th>Codigo</th><th>Fecha Apertura</th><th>Fecha Cierre</th><th>Responsable</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "<td>" . $fila[5] . "</td>";
					echo "<td>" . $fila[6] . "</td>";
					echo "</tr>";
					$incidencia .= $fila[7] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$incidencia .= "0)";

				//Buscamos si hay otros proyectos con incidencias similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Incidencia_Proyecto\" ip WHERE p.id_proyecto = ip.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND ip.incidencia IN " . $incidencia;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos con incidencias similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}
			
			//Recuperamos y mostramos los recursos asignados al proyecto
			$sql = "SELECT r.nombre, r.descripcion, tr.nombre, tr.descripcion, rp.codigo, rp.fecha_asignacion, rp.fin_asignacion, rp.notas, rp.recurso FROM \"Recurso_Proyecto\" rp, \"Recursos\" r, \"TiposRecurso\" tr WHERE r.id_recurso = rp.recurso AND r.tipo_recurso = tr.id_tipo_recurso AND rp.proyecto=" . $_GET['proyecto'];
			
			echo "<h2>Recursos</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$recurso = "(";
				echo "<table><tr><th>Recurso</th><th>Descripcion</th><th>Tipo</th><th>Codigo</th><th>Fecha Asignacion</th><th>Fin Asignacion</th><th>Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "</td>";
					echo "<td>" . $fila[2] . "(" . $fila[3] . ")</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "<td>" . $fila[5] . "</td>";
					echo "<td>" . $fila[6] . "</td>";
					echo "<td>" . $fila[7] . "</td>";
					echo "</tr>";
					$recurso .= $fila[8] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$recurso .= "0)";

				//Buscamos si hay otros proyectos con recursos similares
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Recurso_Proyecto\" rp WHERE p.id_proyecto = rp.proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND rp.recurso IN " . $recurso;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos utilizando recursos similares: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}

			//Recuperamos y mostramos los participantes en el proyecto
			$sql = "SELECT p.nombre, r.nombre, r.descripcion, prp.notas, p.notas, prp.id_persona FROM \"Persona_Rol_Proyecto\" prp, \"Roles\" r, \"Personas\" p WHERE r.id_rol = prp.id_rol AND p.id_persona = prp.id_persona AND prp.id_proyecto=" . $_GET['proyecto'];
			
			echo "<h2>Personas</h2>";
			if($resultado = $bd->consultar($sql))
			{
				$persona = "(";
				echo "<table><tr><th>Persona</th><th>Rol</th><th>Notas para este proyecto</th><th>Otras Notas</th></tr>";
				while($fila = $bd->avanzar($resultado))
				{
					echo "<tr>";
					echo "<td>" . $fila[0] . "</td>";
					echo "<td>" . $fila[1] . "(" . $fila[2] . ")</td>";
					echo "<td>" . $fila[3] . "</td>";
					echo "<td>" . $fila[4] . "</td>";
					echo "</tr>";
					$persona .= $fila[5] . ",";
				}
				$bd->liberar($resultado);
				echo "</table>";
				$persona .= "0)";

				//Buscamos si hay otros proyectos en los que hayan participado estas personas
				$sql = "SELECT DISTINCT p.id_proyecto, p.nombre_proyecto FROM \"Proyectos\" p, \"Persona_Rol_Proyecto\" prp WHERE p.id_proyecto = prp.id_proyecto AND p.id_proyecto != " . $_GET['proyecto'] . " AND prp.id_persona IN " . $persona;
				if($resultado = $bd->consultar($sql))
				{
					echo "<p>Otros proyectos empleando las mismas personas: ";
					while($fila = $bd->avanzar($resultado))
					{
						echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[1] . "</a> &nbsp; ";
					}
					$bd->liberar($resultado);
					echo "</p>";
				}
			}
			
			//Cerramos la conexión con la BD ya que hemos terminado
			$bd->cerrar();
		}
		else //Si no hemos elegido un proyecto, mostramos la lista de proyectos con sus enlaces
		{
			echo "<h1>Lista de Proyectos</h1>";
			echo "<p class=\"centrado\">Seleccione un proyecto de la lista para ver sus detalles.<br /><br />";
			$sql = "SELECT id_proyecto, nombre_proyecto FROM \"Proyectos\"";
			if($resultado = $bd->consultar($sql))
			{
				while($fila = $bd->avanzar($resultado))
				{
					echo "<a href=\"index.php?proyecto=" . $fila[0] . "\">" . $fila[0] . " - " . $fila[1] . "</a><br />";
				}
				$bd->liberar($resultado);
			}
			$bd->cerrar();
			echo "</p>";
		}
		?>
		<p>&nbsp;</p>
		<p class="centrado">Julio Fortis Urbano - TFC Gestion de Proyectos</p>
	</body>
</html>